/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCMOVIEPROCESSCOMPOSITEJOB_H
#define KDCMOVIEPROCESSCOMPOSITEJOB_H

#include "../kdcmovie.h"
#include "kdccompositejob.h"

class KDCMovieProcessCompositeJob: public KDCCompositeJob
{
Q_OBJECT
public:
	KDCMovieProcessCompositeJob( const KDCMovie* movie, QObject *parent = 0 );
	~KDCMovieProcessCompositeJob();
	void start();
private slots:
	void on_jobFinished( KDCJob * );
private:
	QString p_file;
};
#endif
